function [delgam, thmin] = kfitav9( gama )

%UNTITLED Summary of this function goes here

%   estimate of the transmission line length
%   to be used by Q0REFLv9.m
%   computes delgam for lossy coupling 
%   assumption: transmission line length is not a function of frequency
%   copyrignt (c) D. Kajfez 2020

global   n ndeg del ft

disp('kfita8 has been called to check the TL length')

%   find Gd2 for theta=0
    e1=ft;
    e2=ones(n,1);
    e3=-gama.*ft;
    E=[e1 e2 e3];
    M=E'*E;
    h=E'*gama;
    g=M\h;
    Gd2=g(1)/g(3);

del=ones(ndeg, 1);
zs=zeros(ndeg,1);
for nt=1:ndeg
    thedeg(nt)=(nt-1);
    therad=thedeg(nt)*(pi/180);
    ej=exp(+1i*(2*therad));  %moving toward load
    gamrot=gama.*ej;
%   find the new g1 to g3, fast way
    e1=ft;
    e2=ones(n,1);
    e3=-gamrot.*ft;
    E=[e1 e2 e3];
    M=E'*E;
    h=E'*gamrot;
    g=M\h;
    G1=(g(1)*ft+g(2))./(g(3)*ft+1);
    Gd=g(1)/g(3);    
    zs(nt)=(1+Gd)/(1-Gd);   
%   from equivalent circuit    
%   more accurate rs
    gam1c=(conj(g(3))*g(2)-g(1))/(conj(g(3))-g(3)); %center of Q-circle
    ang1=-atan2(imag(-Gd),real(-Gd));
    ang2=atan2(imag(gam1c-Gd),real(gam1c-Gd));
    angtot=CLIP(ang1+ang2);
    cob=cos(angtot);
    ds=(1-abs(Gd)^2)/(1-abs(Gd)*cob);      
    rs = 2/ds-1;    
    xs=imag(zs(nt));
    deno=rs^2+xs^2+1+2*rs;
    gd1r=(rs^2+xs^2-1)/deno;  gd1i=2*xs/deno;
    Gd1=gd1r+1i*gd1i;
    del(nt)=abs(Gd2*ej-Gd1);    
end

    alpha2=atan2(imag(Gd2),real(Gd2)); 
    alphadeg2=alpha2*180/pi;
    G02=gama*exp(-1i*alpha2);   %centered on the real axis

    nmin=0;

icount=0;   %index for counting minima
for it=1:ndeg     %searching for minima
    if it==1    %index
        if del(it)<del(it+1) && del(it+2)>del(it+1)
            icount=1;
            thmin(icount)=it-1;
            dmin(it)=del(it);
        end
    end
    if it > 1 && it < ndeg
          if del(it+1)>del(it) && del(it-1)>del(it)
            icount=icount+1;
           thmin(icount)=it-1; 
           dmin(icount)=del(it);
        end
    end
     if it == ndeg
         if del(it)<del(it-1) && del(it-2)>del(it)
             icount=icount+1;
             thmin(icount)=it-1;
             dmin(icount)=del(it);
         end
     end

end 
disp(['icount= ',num2str(icount),' thmin= ',num2str(thmin)...
    ' dmin= ',num2str(dmin)])

    delgam=del;
    theta=zeros(1,icount);
    for ic=1:icount
        theta(ic)=thmin(ic);
    end

disp('kfita8 finished')    

end

